Bug 1249495 - [REGRESSION] rhts_partitions needlessly creates a BIOS boot partition
[REGRESSION] rhts_partitions needlessly creates a BIOS boot partition
Status: NEW
Product: Beaker
Classification: Community
Component: lab controller (Show other bugs)
20
Unspecified Unspecified
medium Severity unspecified (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-03 03:57 EDT by Jun'ichi NOMURA
Modified: 2016-09-15 03:14 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add 'want_bios_boot_partition' ks_meta (683 bytes, patch)
2015-08-03 03:57 EDT, Jun'ichi NOMURA
no flags Details | Diff

  None (edit)
Description Jun'ichi NOMURA 2015-08-03 03:57:45 EDT
Created attachment 1058666 [details]
Add 'want_bios_boot_partition' ks_meta

Description of problem:
  rhts_partitions needlessly creates a BIOS boot partition

Version-Release number of selected component (if applicable):
  beaker-server-20.1-1.el6eng

How reproducible:
  Always if the system meets following conditions
    - non-EFI
    - x86
    - RHEL7 or Fedora
    - Custom partitioning is specified (e.g. 'partitions', 'ondisk')

Steps to Reproduce:
  Provision non-EFI x86 system with custom partitioning and with RHEL7

Expected results:
  BIOS boot partition should not be created if the system doesn't boot
  from >2TB disk or user requests to do so

Actual results:
  BIOS boot partition is created even if the system doesn't have >2TB disks

Additional information:
  The change was introduced intentionally with this change:
    define biosboot partition in cases where it might be necessary
      Bug: 1108393
      Change-Id: I463ab8978eaafcb25021e168b5bf46454ce0b9dd

  It seems 'has_gpt_bios_support' ks_meta was introduced to mean the
  operating system has BIOS boot partition support.

    {% if partitions or ondisk or rootfstype or fstype or swapsize %}
    ...
    {% elif distro_tree is arch('i386', 'x86_64') %}
    {% if system and system.has_efi %}
    ...
    {% else %}
    {# x86 BIOS #}
    {% if has_gpt_bios_support is defined %}
    {# biosboot partition is needed in case Anaconda uses GPT (when the disk is >2TB) #}
    part biosboot --size 1 --fstype biosboot

  As a provisioning tool for test system, it is undesirable to create
  the partition which is not requested and which will not be created
  in customer's actual installation scenario.
  By beaker 'kindly' adding the partition, we might unable to find
  possible bugs in installer or boot loader in testing, for example.

  Given that the number of systems that require BIOS boot partition should
  be limited (newer systems have EFI, older systems boot from small disk), 
  how about making it opt-in behaviour by introducing new ks_meta such as 
  'want_bios_boot_partition'?
  (A patch is attached)

  If admins want to control the behaviour per system, they can give it
  in "Installation Options" of systems.
  If admins want to force the behaviour for all systems, they can give
  it in beaker.ks_meta of /etc/beaker/server.cfg.
Comment 1 Dan Callaghan 2015-10-12 00:38:15 EDT
Ideally we would just let Anaconda decide what partitions are needed for booting and have it create those. We will be able to do that using the new reqpart command in RHEL7.2+, that's bug 1230997.
Comment 2 Dan Callaghan 2015-10-12 00:40:39 EDT
As a workaround, if your lab has no systems with >2TB disks and BIOS-compatible firmware then you can edit the install options for RedHatEnterpriseLinux7 family and set "!has_gpt_bios_support" in ksmeta. This is essentially lying to Beaker by telling it that RHEL7 does not support GPT on BIOS-compatible firmware, but it will have the desired effect.

Note You need to log in before you can comment on or make changes to this bug.